GetVideoHeatmap
GET
/analytics/v1/videos/{video_id}/heatmapPath Parameters
video_id*video_id
The video_id path parameter.
Length
1 <= lengthQuery Parameters
buckets?buckets
The buckets query parameter.
Format
int32range.start?start
The range.start query parameter.
range.end?end
The range.end query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.VideoHeatmap",
"$ref-value": {
"type": "object",
"properties": {
"video_id": {
"type": "string",
"examples": [
"FpzVPNx1cG"
],
"title": "video_id"
},
"total_duration_ms": {
"type": "string",
"examples": [
"1250"
],
"title": "total_duration_ms",
"format": "int64"
},
"data": {
"type": "array",
"examples": [
"0.85"
],
"items": {
"type": "number",
"examples": [
"0.85"
],
"format": "double"
},
"title": "data"
}
},
"title": "VideoHeatmap",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/analytics/v1/videos/FpzVPNx1cG/heatmap"Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.VideoHeatmap",
"$ref-value": {
"type": "object",
"properties": {
"video_id": {
"type": "string",
"examples": [
"FpzVPNx1cG"
],
"title": "video_id"
},
"total_duration_ms": {
"type": "string",
"examples": [
"1250"
],
"title": "total_duration_ms",
"format": "int64"
},
"data": {
"type": "array",
"examples": [
"0.85"
],
"items": {
"type": "number",
"examples": [
"0.85"
],
"format": "double"
},
"title": "data"
}
},
"title": "VideoHeatmap",
"additionalProperties": false
}
}